diff --git a/src/backend/replication/logical/worker.c b/src/backend/replication/logical/worker.c
index 6ca6cdc..e54bd90 100644
--- a/src/backend/replication/logical/worker.c
+++ b/src/backend/replication/logical/worker.c
@@ -37,6 +37,7 @@
 
 #include "commands/tablecmds.h"
 #include "commands/trigger.h"
+#include "commands/async.h"
 
 #include "executor/executor.h"
 #include "executor/nodeModifyTable.h"
@@ -490,6 +491,7 @@ apply_handle_commit(StringInfo s)
 		replorigin_session_origin_timestamp = commit_data.committime;
 
 		CommitTransactionCommand();
+		ProcessCompletedNotifies();
 		pgstat_report_stat(false);
 
 		store_flush_position(commit_data.end_lsn);
